query Products($id: ID!) {
  product(id: $id) {
    id
    name
    description
    price
    inStock
    variants {
      id
      name
      inStock
      fullName
    }
    categories {
      name
      slug
    }
    images {
      url
      caption
    }
  }
}
